//
// Mandala template
// Dan Wilcox danomatika.com
//

float rotateAngle = 0;
float scaleAngle = 0;

void setup() {
  size(400, 400);
  
  rectMode(CENTER);
}

void draw() {
  background(255);
  
  noStroke();
  fill(100);
  
  translate(width/2, height/2);
  rotate(-rotateAngle);
  
  rect(0, 0, 50, 50);
  
  scale(map(sin(scaleAngle), -1, 1, 0.25, 2));
  
  float stepAngle = TWO_PI/10;
  for(int i = 0; i < 10; ++i) {
    rotate(stepAngle);
    ellipse(100, 0, 50, 50);
  }

  rotateAngle = rotateAngle + 0.025;
  scaleAngle = scaleAngle + 0.025;
}